| Uwierzytelnianie | wymagane |
| Format odpowiedzi | json |
| Metoda HTTP | POST |
W rezultacie zwracana jest lista klientów wraz z informacją o statusie oraz identyfikatorze dodanego rekordu. Zwracany status przyjmować może dwie wartości:
ADDED - klient został dodany do kampanii
ALREADY_EXISTS - klient już był dodany do kampanii,
FAILED - dodanie klienta do kampanii nie powiodło się.
https://your-system-name.thulium.com/api/batch/crm_outbounds/:id/records
|
id
wymagany |
Pięcioznakowy identyfikator kampanii.
Przykładowa wartość: 00001
|
|
records
wymagany |
Lista rekordów do dodania. Każdy rekord z parametrami: |
|
customer_id
wymagany |
Identyfikator klienta zapisanego w CRM.
Przykładowa wartość: 441
|
|
status_id
opcjonalny |
Identyfikator statusu rekordu w kampanii.
Przykładowa wartość: 8
|
|
dictionary_status_id
opcjonalny |
Identyfikator statusu słownikowego.
Przykładowa wartość: 8
|
|
agent_login
opcjonalny |
Login agenta do którego zostanie przypisany rekord. Wymagane dla statusu systemowego MY_RECORD.
Przykładowa wartość: j.doe
|
|
next_call_date
opcjonalny |
Data następnego kontaktu w formacie YYYY-MM-DD hh:mm. Wymagane dla statusu systemowego MY_RECORD i CALL_NO_SOONER_THAN.
Przykładowa wartość: 2018-05-24 12:24
|
|
order
opcjonalny |
Kolejność rekordu
Przykładowa wartość: 50
|
| POST | https://your-system-name.thulium.com/api/batch/crm_outbounds/00001/records |
| Dane | {
"records": [
{
"customer_id": 441,
"status_id": 3
},
{
"customer_id": 445,
"status_id": 1
},
{
"customer_id": 448,
"status_id": 1
}
]
} |
{
"441": {
"http_status": 201,
"record_id": 111,
"status": "ADDED"
},
"445": {
"http_status": 400,
"record_id": 100,
"status": "ALREADY_EXISTS"
},
"448": {
"http_status": 400,
"status": "FAILED",
"message": "Customer not found."
}
}
<?php $data = '{ "records": [ { "customer_id": 441, "status_id": 3 }, { "customer_id": 445, "status_id": 1 }, { "customer_id": 448, "status_id": 1 } ] }'; $request = curl_init('https://your-system-name.thulium.com/api/batch/crm_outbounds/00001/records'); curl_setopt($request, CURLOPT_HTTPHEADER, array( 'Content-Type: application/json; charset=utf-8', 'Content-Length: ' . mb_strlen($data) )); curl_setopt($request, CURLOPT_USERPWD, 'api_user:api_pass'); curl_setopt($request, CURLOPT_TIMEOUT, 30); curl_setopt($request, CURLOPT_RETURNTRANSFER, true); curl_setopt($request, CURLOPT_CUSTOMREQUEST, 'POST'); curl_setopt($request, CURLOPT_POSTFIELDS, $data); $response = curl_exec($request); if ($response) { $httpCode = curl_getinfo($request, CURLINFO_HTTP_CODE); if ($httpCode == 200){ print_r(json_decode($response)); } else { echo $response; } } else { trigger_error(curl_error($request), E_USER_WARNING); } curl_close($request);
public class Example { public static void main(String[] args) throws Exception { ThuliumRestClient restClient = new ThuliumRestClient("api_user", "api_pass", true); ThuliumRestClient.ThuliumRestResponse response = restClient.post("https://your-system-name.thulium.com/api/batch/crm_outbounds/00001/records", "{ \"records\": [ { \"customer_id\": 441, \"status_id\": 3 }, { \"customer_id\": 445, \"status_id\": 1 }, { \"customer_id\": 448, \"status_id\": 1 } ] }"); System.out.println(response); } }
curl -u api_user:api_pass -k -X POST -H "Content-type: application/json" -d '{ "records": [ { "customer_id": 441, "status_id": 3 }, { "customer_id": 445, "status_id": 1 }, { "customer_id": 448, "status_id": 1 } ] }' "https://your-system-name.thulium.com/api/batch/crm_outbounds/00001/records"
echo '{ "records": [ { "customer_id": 441, "status_id": 3 }, { "customer_id": 445, "status_id": 1 }, { "customer_id": 448, "status_id": 1 } ] }' | http -a api_user:api_pass POST https://your-system-name.thulium.com/api/batch/crm_outbounds/00001/records